> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.brevo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.brevo.com/_mcp/server.

# Return all your created WhatsApp templates

GET https://api.brevo.com/v3/whatsappCampaigns/template-list

Retrieve a paginated list of all your WhatsApp templates with their status, category, language, and metadata. Results can be filtered by creation date range and optionally by source (Automation or Conversations), with a default limit of 50 and maximum of 100 per page. The sort order defaults to descending by modification date.

Reference: https://developers.brevo.com/reference/get-whats-app-templates

## Authentication

- `api-key` header (required) — The API key should be passed in the request headers as `api-key` for authentication.

## Request

### Query parameters

- `startDate` (string, optional) — **Mandatory if endDate is used**. Starting (urlencoded) UTC date-time (YYYY-MM-DDTHH:mm:ss.SSSZ) to filter the templates created. **Prefer to pass your timezone in date-time format for accurate result**
- `endDate` (string, optional) — **Mandatory if startDate is used**. Ending (urlencoded) UTC date-time (YYYY-MM-DDTHH:mm:ss.SSSZ) to filter the templates created. **Prefer to pass your timezone in date-time format for accurate result**
- `limit` (long, optional, default: 50) — Number of documents per page
- `offset` (long, optional, default: 0) — Index of the first document in the page
- `sort` (enum, optional, default: desc) — Sort the results in the ascending/descending order of record modification. Default order is **descending** if `sort` is not passed
  - Allowed values: `asc`, `desc`
- `source` (enum, optional) — source of the template
  - Allowed values: `Automation`, `Conversations`

## Response

### 200

WhatsApp templates informations

- `count` (long, optional) — Number of whatsApp templates retrieved
- `templates` (list of object, optional)
  - `category` (string, required) — category of the template
  - `createdAt` (string, required) — Creation UTC date-time of the whatsApp template (YYYY-MM-DDTHH:mm:ss.SSSZ)
  - `id` (long, required) — ID of the whatsApp template
  - `language` (string, required) — Language in which template exists
  - `modifiedAt` (string, required) — UTC date-time of last modification of the whatsApp template (YYYY-MM-DDTHH:mm:ss.SSSZ)
  - `name` (string, required) — Name of the whatsApp template
  - `status` (string, required) — Status of the whatsApp template
  - `type` (string, required) — Type of the whatsApp template
  - `errorReason` (string, optional) — Error reason in the template creation

## Errors

### 400 Bad Request Error

bad request

- `code` (enum, required) — Error code displayed in case of a failure
  - Allowed values: `invalid_parameter`, `missing_parameter`, `out_of_range`, `campaign_processing`, `campaign_sent`, `document_not_found`, `not_enough_credits`, `permission_denied`, `duplicate_parameter`, `duplicate_request`, `method_not_allowed`, `unauthorized`, `account_under_validation`, `not_acceptable`, `bad_request`, `unprocessable_entity`, `Domain does not exist`, `Contact email not found`, `Attribute not found`, `Category id not found`, `Invalid parameters passed`, `Record(s) for identifier not found`, `Returned when query params are invalid`, `Returned when invalid data posted`, `Feed not found`, `Campaign ID not found`, `api-key not found`, `DMARC policy requires domain authentication`, `DNS records not properly configured`, `Invalid OTP code provided`, `OTP code has expired`, `Domain already exists in your account`, `The sum of all IP weights must equal 100`, `Authentication failed`, `Insufficient credits`, `Request already processed`
- `message` (string, required) — Readable message associated to the failure

## Examples

**Response**

```json
{
  "count": 2,
  "templates": [
    {
      "category": "MARKETING",
      "createdAt": "2017-05-01T12:30:00Z",
      "id": 235,
      "language": "en",
      "modifiedAt": "2017-05-01T12:30:00Z",
      "name": "campaign_22",
      "status": "approved",
      "type": "whatsapp",
      "errorReason": "NONE"
    },
    {
      "category": "MARKETING",
      "createdAt": "2017-0",
      "id": 124,
      "language": "",
      "modifiedAt": "2017-05-01T12:30:00Z",
      "name": "test-template",
      "status": "draft",
      "type": "whatsapp",
      "errorReason": "NONE"
    }
  ]
}
```

**SDK Code**

```typescript response
import { BrevoClient } from "@getbrevo/brevo";

async function main() {
    const client = new BrevoClient({
        apiKey: "YOUR_API_KEY_HERE",
    });
    await client.whatsAppCampaigns.getWhatsAppTemplates({});
}
main();

```

```python response
from brevo import Brevo

client = Brevo(
    api_key="YOUR_API_KEY_HERE",
)

client.whats_app_campaigns.get_whats_app_templates()

```

```php response
<?php

namespace Example;

use Brevo\Brevo;
use Brevo\WhatsAppCampaigns\Requests\GetWhatsAppTemplatesRequest;

$client = new Brevo(
    apiKey: 'YOUR_API_KEY_HERE',
);
$client->whatsAppCampaigns->getWhatsAppTemplates(
    new GetWhatsAppTemplatesRequest([]),
);

```

```go response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.brevo.com/v3/whatsappCampaigns/template-list"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby response
require 'uri'
require 'net/http'

url = URI("https://api.brevo.com/v3/whatsappCampaigns/template-list")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.brevo.com/v3/whatsappCampaigns/template-list")
  .header("api-key", "<apiKey>")
  .asString();
```

```csharp response
using RestSharp;

var client = new RestClient("https://api.brevo.com/v3/whatsappCampaigns/template-list");
var request = new RestRequest(Method.GET);
request.AddHeader("api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift response
import Foundation

let headers = ["api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.brevo.com/v3/whatsappCampaigns/template-list")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```